declare module "arcgis-pbf-parser" {
  import type { FeatureCollection } from "geojson";

  export interface DecodeResult {
    featureCollection: FeatureCollection;
    exceededTransferLimit: boolean;
  }

  export default function arcgisPbfDecode(data: Uint8Array): DecodeResult;
}

declare module "windows-1250" {
  type EncodeOptions = {
    mode: "fatal" | "replacement";
  };
  type DecodeOptions = {
    mode: "fatal" | "replacement";
  };

  export function encode(text: string, options?: EncodeOptions): Uint16Array;
  export function decode(
    buffer: Uint16Array | Uint8Array | Buffer | string,
    options?: DecodeOptions,
  ): string;
  export type labels = string[];
}
