export async function GET() {
  const response = await fetch(
    "https://services.cuzk.cz/gml/inspire/cp/epsg-4258/",
  );
  const html = await response.text();

  const zipFileRegex = /<a\s+href="([^"]+\.zip)">/g;

  const links = [...Array.from(html.matchAll(zipFileRegex))].map(
    (match) => match[1],
  );

  return Response.json(links);
}

export const fetchCache = "default-no-store";
